Bug 66316 - Scrolled XmText Widgets have odd display problems
Scrolled XmText Widgets have odd display problems
Product: Red Hat Linux
Classification: Retired
Component: lesstif (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Depends On:
  Show dependency treegraph
Reported: 2002-06-07 11:48 EDT by Need Real Name
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-06-07 11:48:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-06-07 11:48:01 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.7-10smp i686)

Description of problem:
I am using the lesstif 2.1 libraries in Red Hat 7.2 to compile and run severeal
motif programs. Following the reproduction steps will always cause a second line
of typing to appear two lines down from the actual line where I am typing. The
mirrored text does not get saved to the data base when I save the info from the
screen but it does make for some confusing data entry.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Create a motif app with a scrolled text widget and set the edit mode to
multi-line - complile under the lesstif 2.1 libs in 7.2
2. Type several characters
3. Hit <enter> 3 times
4. Type at least one character
5. <backspace> to the previous line
6. Begin typing a string of text

Actual Results:  A second line of text appears two lines down from the active
typing line and the second line mirrors the actual input.

Expected Results:  Normal text display.

Additional info:

This is what the output looks like:

This is where the mirrored text started

s is where the mirroed text started
Comment 1 Ngo Than 2002-06-10 12:34:59 EDT
Please use openmotif-2 instead lesstif. We don't support lesstif-2.x any more in
7.3 release.
You find openmotif packages for 7.2 release on ftp://people.redhat.com/than/7.2

Note You need to log in before you can comment on or make changes to this bug.